
# coding: UTF-8

# Copyright (C) 2008 Markus Schmidt
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 1, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

class xplanetFXLang:
    
    language = "de"
    
    # NOTEBOOK
    label_themes = "Themen"
    label_settings = "Einstellungen"
    label_tools = "Werkzeuge"
    label_display = "Anzeige"
    
    # SETTINGS
    label_size = """<b>Bildgröße</b>
Desktopgröße in Pixel"""
    label_view = """<b>Sicht</b>
Position der Darstellung
Suche öffnet einen Browser"""
    label_orbit = """<b>Orbit</b>
Folge der Sonne
(Der Regler bestimmt den Winkel
der Sonne zum Beobachter)"""
    label_city = """<b>Stadt</b>
Oder wähle eine Stadt"""
    label_refresh = """<b>Refresh</b>
Pause zwischen den
Aktualisierungen"""
    label_delay = """<b>Verzögerung</b>
Verzögerung des Autostarts"""
    label_language = """<b>Sprache</b>
Sprache der Oberfläche"""
    label_autostart = """<b>Autostart</b>
Starte xplanetFX automatisch"""
    label_longitude = "<b>Länge</b> (lon)"
    label_latitude = "<b>Breite</b> (lat)"
    label_random = "Zufall"
    
    label_date = """<b>Datum</b>
Ein bestimmtes Datum zeigen"""
    label_date_year = "Jahr"
    label_date_month = "Monat"
    label_date_day = "Tag"
    label_date_hour = "Std."
    label_date_minute = "Min."
    label_date_zone = "Zone"
    
    label_active = "Aktiv"
    label_inactive = "Inaktiv"
    
    output_file = "Datei"
    output_none = "kein DE!"
    
    autostart_active = "Autostart aktiviert"
    autostart_inactive = "Autostart deaktiviert"
    
    label_output = """<b>Ausgabe</b>
Datei oder Desktopumgebung"""
    label_script = """<b>Ausführen</b>
Script nach dem Rendern"""

    # THEMESTORE
    label_theme = "<b>Thema: %s</b>"
    label_style = "Stil: %s"
    
    open_theme_file = "Themendatei importieren..."
    theme_files = "Themendateien"
    all_files = "Alle Dateien"
    title_not_readable = "Unlesbare Datei"
    message_not_readable = "Die angegebene Datei ist leider nicht lesbar"
    title_confirm_delete = "Löschen eines Themas"
    message_confirm_delete = """Hierbei werden alle zu dem Thema gehörenden Stile gelöscht! Sicher?"""
    active = "AKTIV"
    title_not_deletable = "Aktion abgebrochen"
    message_not_deletable = "Das aktive Thema und das Standardthema können nicht deinstalliert werden."
    
    # DISPLAY
    label_earth_size = """<b>Größe der Erde</b>
Größe der Erde in Prozent
der Bildschirmdiagonale"""
    label_earth_pos = """<b>Position der Erde</b>
Position der Erde
auf dem Bildschirm"""
    label_corona = """<b>Größe der Corona</b>
Größe der Corona in Prozent
der Bildschirmdiagonale (0 = aus)"""
    label_cloud = """<b>Abstand der Wolken</b>
Multiplikator der Erdgröße
in 1/1000"""
    label_specialfx = """<b>Spezialeffekte</b>
HQ-Wolken, Reflexion der Sonne
und Nachbearbeitung"""
    
    specular_active = "Specular FX aktiv"
    specular_inactive = "Specular FX inaktiv"
    post_active = "Post FX aktiv"
    post_inactive = "Post FX inaktiv"
    post_active = "Post FX aktiv"
    post_inactive = "Post FX inaktiv"
    clouds_active = "Wolken FX aktiv"
    clouds_inactive = "Wolken FX inaktiv"
    
    # STATUSBAR
    status_sleeping = "xplanetFX schläft gerade (PID: %s)"
    status_active = "<b>xplanetFX arbeitet gerade</b> (PID: %s)"
    status_stopped = "xplanetFX ist inaktiv"
    status_done = "Fertig."
    status_apply_theme = "Wechsele Thema zu %s | %s..."
    status_install_theme = "Installiere Thema %s..."
    status_save_config = "Speichere Konfiguration..."
    status_unknown_de = "Unbekannte Desktop-Umgebung."
    
    # TOOLS
    label_clouds = """<b>Wolkenbild erneuern</b>
Diese Funktion löscht das heruntergeladene Wolkenbild. Das kann nötig sein, wenn
ein Download fehlschlug und die Datei aufgrund dessen beschädigt ist. Bei der
nächsten Erstellung durch xplanetFX wird das Bild dann erneut herunter geladen."""
    label_log = """<b>Logfile</b>
Der Button rechts löscht alle Logeinträge."""
    label_log_view="<b>Aktivität von xplanetFX:</b>"
    label_single="""<b>Bild speichern</b>
Rendert ein Einzelbild mit den gespeicherten Einstellungen in eine Datei (beendet xplanetFX)."""
    label_update_templates="""<b>Templates prüfen</b>
Prüft alle installierten Templates auf Inkonsistenzen und behebt diese."""

    save_image_file = "Bilddatei speichern..."
    image_files = "Bilddateien"
    
    title_confirm_delete_clouds = "Löschen des Wolkenbildes"
    message_confirm_delete_clouds = """Soll das Wolkenbild wirklich gelöscht werden?"""
    
    title_confirm_delete_log = "Löschen der Logs"
    message_confirm_delete_log = """Sollen die Logs wirklich gelöscht werden?"""
    
    log_empty = "Keine Logs gefunden."
