
# coding: UTF-8

# Copyright (C) 2008 Markus Schmidt
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 1, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

class xplanetFXLang:
    
    language = "en"
    
    # NOTEBOOK
    label_themes = "Themes"
    label_settings = "Settings"
    label_tools = "Tools"
    label_display = "Display"
    
    # SETTINGS
    label_size = """<b>Screensize</b>
Desktop size in pixel"""
    label_view = """<b>View</b>
Position to display
Search opens browser"""
    label_orbit = """<b>Orbit</b>
Follow the sun
(the fader sets the angle
of incidence relative to viewer)"""
    label_city = """<b>City</b>
Or choose a city here"""
    label_refresh = """<b>Refresh</b>
Time to sleep
between renderings"""
    label_delay = """<b>Delay</b>
Time to wait for autostart"""
    label_language = """<b>Language</b>
Set the language of the GUI"""
    label_autostart = """<b>Autostart</b>
Start xplanetFX automatically"""
    label_longitude = "<b>Longitude</b>"
    label_latitude = "<b>Latitude</b>"
    label_random = "random"
    
    label_date = """<b>Date</b>
Show a specific date"""

    label_date_year = "Year"
    label_date_month = "Month"
    label_date_day = "Day"
    label_date_hour = "Hour"
    label_date_minute = "Min"
    label_date_zone = "Zone"
    
    label_active = "active"
    label_inactive = "inactive"
    
    label_output = """<b>Output</b>
File or desktop environment"""
    label_script = """<b>Script</b>
Call a script after rendering"""
    
    output_file = "File"
    output_none = "no d/e!"
    
    autostart_active = "Autostart enabled"
    autostart_inactive = "Autostart disabled"
    
    # THEMESTORE
    label_theme = "<b>Theme: %s</b>"
    label_style = "Style: %s"
    
    open_theme_file = "Import theme file..."
    theme_files = "Theme files"
    all_files = "All files"
    title_not_readable = "Unreadable file"
    message_not_readable = "Sorry! The file you specified is not readable"
    title_confirm_delete = "Confirm deletion"
    message_confirm_delete = """This will delete all styles coming with this theme! Shure?"""
    active = "ACTIVE"
    title_not_deletable = "Interrupted"
    message_not_deletable="The current theme and the default template can't be removed."
    
    # DISPLAY
    label_earth_size = """<b>Earth size</b>
Size of the earth in percent
of the screens diagonal"""
    label_earth_pos = """<b>Earth position</b>
Position of the earth
on the screen"""
    label_corona = """<b>Corona size</b>
Size of the corona in percent
of the screens diagonal (0 = disabled)"""
    label_cloud = """<b>Cloud distance</b>
Multiplier of earth's size
as 1/1000"""
    label_specialfx = """<b>Special f/x</b>
Render h/q clouds, the sun's glare
and do some post production"""
    
    specular_active = "Specular f/x on"
    specular_inactive = "Specular f/x off"
    post_active = "Post f/x on"
    post_inactive = "Post f/x off"
    clouds_active = "Cloud f/x on"
    clouds_inactive = "Cloud f/x off"
    
    # STATUSBAR
    status_sleeping = "xplanetFX is sleeping (PID: %s)"
    status_active = "<b>xplanetFX is working</b> (PID: %s)"
    status_stopped = "xplanetFX is inactive"
    status_done = "done."
    status_apply_theme = "Switching to %s | %s..."
    status_install_theme = "Installing theme %s..."
    status_save_config = "Saving configuration..."
    status_unknown_de = "Unknown desktop environment."
    
    # TOOLS
    label_clouds = """<b>Refresh clouds</b>
Use this function to remove the existing clouds image. This could be neccessary
if a download was corrupted and the clouds are therefore destroyed. With the next
cycle of xplanetFX the clouds are reloaded again."""
    label_log = """<b>Logfile</b>
Content of the logfile. The button deletes all log entries."""
    label_log_view="<b>Activity of xplanetFX:</b>"
    label_single="""<b>Save image</b>
Render a picture with the saved settings to a specific location (stops xplanetFX)."""
    label_update_templates="""<b>Update templates</b>
Probes all installed templates for inconsistencies and fixes them."""

    save_image_file = "Save image file..."
    image_files = "Image files"
    
    title_confirm_delete_clouds = "Confirm deletion"
    message_confirm_delete_clouds = """Should the clouds image really be deleted?"""
    
    title_confirm_delete_clouds = "Confirm deletion"
    message_confirm_delete_clouds = """Should the logs really be deleted?"""
    
    log_empty = "No logs found."
